Create a Wallet (New)

The Create a Wallet API allows users to create new wallets within the system. Users need to provide details such as currency, type of wallet, and customerReferenceLabel for the wallet in order to indenify the wallet created. In the response, a new wallet Id will be generated for each wallet.

Path Params
string
required

Specifies the unique identifier assigned to a company within the system. Get the companyId in the response path [response.body.companyId] of the POST /users/login API.

Body Params
string
enum
required
length between 3 and 3

3-character ISO 4217 currency code used to denote a specific currency. It serves as a universal identifier for the type of money involved in a wallet transaction.

string
enum
required

Indicates the type of wallet.

  • STANDARD: Most common type of wallet used for everyday transactions.
  • FX_BALANCE: Specifically focuses on foreign exchange (FX) transactions.
Allowed:
string
length ≤ 75

Indicates the custom label provided to a wallet by the customer. If a custom label is not provided by the customer, system itself will create a label in the below format based on the currency selected.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json